×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Nov 2007
    Posts
    6

    Problem selecting SDK/ Carbide

    Hi,

    I am aiming to write programs for the Nokia 7610. According to the documentation it requires SDK 2.1 FeaturePack 1
    However, when I choose that option under the SDK downloads page it seems to let me download 3.0 FeaturePack 1. Is this ok?

    Secondly, when I try to install Carbide 2.01 (since I have MS VS 2005) it wont let me saying that i must have VS 2003? Shouldn't it be compatible with the newer versions too?

    Thanks for your help!

    Rgds.

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,750

    Re: Problem selecting SDK/ Carbide

    Quote Originally Posted by dimension11 View Post
    I am aiming to write programs for the Nokia 7610. According to the documentation it requires SDK 2.1 FeaturePack 1
    However, when I choose that option under the SDK downloads page it seems to let me download 3.0 FeaturePack 1. Is this ok?
    No, it will not work. S60 2nd edition FP1 is S60 2nd edition FP1, while S60 3rd edition FP1 is S60 3rd edition FP1. They are not compatible neither at source, nor at binary level.
    Secondly, when I try to install Carbide 2.01 (since I have MS VS 2005) it wont let me saying that i must have VS 2003? Shouldn't it be compatible with the newer versions too?
    If you re-visit the download page (www.forum.nokia.com, Tools and SDKs / Symbian/C++ Tools on the left), you will see that there is a new Carbide.vs (3.0) for VS 2005. Do not forget to read the related sticky threads in this forum, there is a small patch released a few days ago for example.

  3. #3
    Registered User
    Join Date
    Nov 2007
    Posts
    6

    Re: Problem selecting SDK/ Carbide

    I tried looking for the Symbian 2.1 FP1 but I can't seem to find it? The main SDK download page makes me download the 3rd edition no matter what I select. Is there something I'm missing?

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,750

    Re: Problem selecting SDK/ Carbide

    I do not know, it works for me (I have just tried both the CW and the WINS release of 2nd ed. FP1 in the list, with normal browser download).

  5. #5
    Registered User
    Join Date
    Nov 2007
    Posts
    6

    Re: Problem selecting SDK/ Carbide

    Oh well, fixed the problem; it seems that you need to enable scripting to select from the drop down menu :S Nuts like me who surf with security turned off seem to have a problem but alls good now :):) Thanks!

Similar Threads

  1. I am having problem starting carbide c++
    By bishalrajkarki in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 4
    Last Post: 2008-12-07, 15:58
  2. problem: no SDK was found
    By Audun Holme in forum Symbian Tools & SDKs
    Replies: 5
    Last Post: 2008-07-23, 07:50
  3. Carbide not recognizing installed UIQ SDK
    By Teknomancer in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2007-05-23, 13:58
  4. Replies: 6
    Last Post: 2006-05-30, 08:38

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×